Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\Repository\Values\User\UserGroupCreateStruct Class Reference

This class is used to create a new user group in the repository. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\User\UserGroupCreateStruct:

## Public Member Functions
| setField ($fieldDefIdentifier, $value, $language=null)
| Adds a field to the field collection. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $fields = []
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\ContentCreateStruct
| $contentType
| $sectionId
| $ownerId
| $alwaysAvailable
| $remoteId
| $mainLanguageCode
| $modificationDate

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class is used to create a new user group in the repository.

Meant for internal use by Repository, type hint against API instead.

Definition at line 17 of file Core/Repository/Values/User/UserGroupCreateStruct.php.

## Member Function Documentation

## ◆ setField()

eZ\Publish\Core\Repository\Values\User\UserGroupCreateStruct::setField | ( |  | $fieldDefIdentifier,
|  |  | $value,
|  |  | $language = `null`
| ) |  |

Adds a field to the field collection.

This method could also be implemented by a magic setter so that $fields[$fieldDefIdentifier][$language] = $value or without language $fields[$fieldDefIdentifier] = $value is an equivalent call.

Parameters

  string | $fieldDefIdentifier | the identifier of the field definition
  mixed | $value | Either a plain value which is understandable by the corresponding field type or an instance of a Value class provided by the field type
  string | null | $language | If not given on a translatable field the initial language is used

Reimplemented from eZ\Publish\API\Repository\Values\Content\ContentStruct.

Definition at line 38 of file Core/Repository/Values/User/UserGroupCreateStruct.php.

References eZ\Publish\API\Repository\Values\Content\ContentCreateStruct\$mainLanguageCode.

## Member Data Documentation

## ◆ $fields

eZ\Publish\Core\Repository\Values\User\UserGroupCreateStruct::$fields = []

Definition at line 24 of file Core/Repository/Values/User/UserGroupCreateStruct.php.

The documentation for this class was generated from the following file:

- Core/Repository/Values/User/UserGroupCreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.